.search-category-modal-wrapper{
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 1052;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.40);
    direction: rtl;
  }
  .search-category-modal-container{
    width: 100%;
    max-width: 560px;
    height: 666px;
    background-color: #ffffff;
    display: flex;
    flex-direction: column;
    border-radius: 8px;
    overflow: hidden;
  }
  .search-category-modal-container.full-page{
    height: 100%;
    max-height: unset;
    border-radius: 0;
  }
  .search-category-modal-container.show-modal{
    animation: 0.5s ease-out 0s 1 slideInFromBottom;
    display: flex !important;
  }
  .search-category-modal-container.hide-modal{
    transition: transform 0.5s ease-out;
  }
  @keyframes slideInFromBottom {
    0% {
        transform: translateY(100%);
    }
    100% {
        transform: translateY(0);
    }
  }
  .search-category-modal-header{
    display: flex;
    flex-direction: column;
  }
  .search-category-modal-header-container{
    display: grid;
    grid-template-columns: 48px auto 48px;
    padding: 8px 4px;
    align-items: center;
    gap: 12px;
    border-bottom: 1px solid #EDEDED;
    background-color:  #ffffff;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
  }
  .search-category-modal-header-container svg{
    width: 24px;
    height: 24px;
  }
  .search-category-modal-title p{
    text-align: center;
    color: #1D1B20;
    text-align: center;
    font-size: 18px;
    font-weight: 500;
    line-height: 31px;
  }
  .search-category-modal-title input {
    width: 100%;
    border: none;
    outline: none;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    color: #030303;
    padding: 0;
    padding-left: 8px;
    direction: rtl;
}
  .search-category-modal-body{
    padding: 0 16px;
    overflow: hidden;
    display: grid;
    grid-template-rows: 48px auto;
    padding: 16px;
    gap: 16px;
    width: 100%;
    height: 520px;
    overflow: hidden;
  }
  .category-modal-list{
    width: 100%;
    height: 100%;
    overflow: auto;
  }
  .category-modal-list .list-item{
    padding: 0;
  }
  .searchBox-container{
    width: 100%;
    height: 48px;
    display: grid;
    grid-template-columns: 24px auto 20px;
    border-radius: 8px;
    border: 1px solid  #EDEDED;
    background-color: #F2F3F7;
    box-shadow: 0px 2px 10px 0px rgba(196, 196, 196, 0.15);
    padding: 0 16px;
    gap: 8px;
    align-items: center;
    overflow: hidden;
  }
  .searchBox-container > svg {
    width: 24px;
    height: 24px;
  }
  .searchBox-container input {
    background: unset;
    border: 0;
    padding: 0;
    color: #030303;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
  }
  .searchBox-container input::placeholder {
    color: #979797;
  }
  .searchBox-container > button {
    background: none;
    border: none;
    width: 20px;
    height: 20px;
    padding: 0;
  }
  .searchBox-container > button svg {
    width: 24px;
    height: 24px;
  }
  .category-list-title{
    height: 40px;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    color: #979797;
    display: flex;
    align-items: center;
  }
  .fall-back-item {
    font-size: 14px;
    font-weight: 500;
    line-height: 24px;
    letter-spacing: 0em;
    text-align: center;
    color: #3B94D0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 0px 8px;
    gap: 8px;
    cursor: pointer;  
}

.fall-back-item svg{
    width: 24px;
    height: 24px;
}
  .category-modal-list .category-title-wrapper {
    display: grid;
    align-items: center;
    padding-bottom: 8px;
    height: auto;
  }
  .category-modal-list .category-item {
    cursor: pointer;
    padding: 16px 0;
    border-bottom: 1px solid #EDEDED;
    flex-direction: column;
    align-items: flex-start;
    margin: 0;
  }
  
  .category-modal-list .category-item:hover {
      background: #F9F9F9;
  }
  
  .category-modal-list .category-item.selected-category {
    border-radius: 8px;
  }
  .category-modal-list .category-item.selected-category {
    background-color: rgba(222, 235, 240, 0.5);
    border-radius: 8px;
  }
  .category-modal-list .category-title-wrapper .category-item-name {
    color: #000000;
    font-size: 1.6rem;
  }
  .category-modal-list .category-item-breadcrumbs {
    color: rgba(3, 3, 3, 0.7);
    font-size: 1.4rem;
    padding-right: 6px;
    line-height: 24px;
    display: flex;
    align-items: center;
  }
  .category-modal-list .category-item-breadcrumbs span {
    border: 0;
    padding: 0;
  }
  .category-modal-list .category-item-breadcrumbs span svg {
    width: 20px;
  }
  /* .category-modal-list .category-item-breadcrumbs span svg:last-child {
    display: none;
  } */
  .arrow {
    width: 21px;
    height: 20px;
    margin: 0 10px;
  }
  .category-modal-list .search-not-found {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 72px;
  }
  
  .search-not-found-upper-section {
      display: flex;
      flex-direction: column;
      align-items: center;
      padding: 0px;
      gap: 8px;
  }
  
  .search-not-found-icon {
      width: 32px;
      height: 32px;
  }
  .category-modal-list .search-not-found p {
      font-weight: 400;
      font-size: 1.4rem;
      color: #757575;
  }
  .category-modal-list .search-not-found button {
    border-radius: 8px;
    margin-top: 24px;
  }
  .search-loader {
    width: 100px;
    height: 100px;
    margin: auto;
    margin-top: 24px;
  }
  .search-loader img {
    width: 100%;
    height: 100%;
  }
  .category-list-wrapper.has-footer{ 
    height: calc(100% - 60px);
  }
  .category-row {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    cursor: pointer;
    padding: 12px 0 12px 8px;
}
.category-row .name {
  font-weight: 400;
  font-size: 16px;
  line-height: 27px;
  text-align: right;
  color: #030303;
  padding: 0;
  border: 0;
}

.category-row svg {
  width: 20px;
  height: 20px;    
}
  #search-category-modal-wrapper .error-message
  {
    color: #757575;
    text-align: center;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    margin: 40px 0;
  }
  #register-modal-user-info .error-message-container{
    display: flex;
    gap: 8px;
    align-items: center;
  }
  #register-modal-user-info .error-text{
    color: #F03738;
    font-weight: 400;
    font-size: 12px;
  }
  /* modal footer */
.search-category-modal-footer {
  width: 100%;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding: 12px 16px;
  gap: 8px;
  height: 84px;
  border-top: 1px solid #EDEDED;
  box-shadow: 0px -1px 8px rgba(0, 0, 0, 0.03);
  cursor: pointer;
}


.footer-select-from-category button{
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: center;
  padding: 0;
  gap: 8px;
  width: 163px;
  height: auto;
  border-radius: 8px;
  font-weight: 500;
  font-size: 14px;
  line-height: 24px;
  color: #3B94D0;
  background: transparent;
  border: none;
  outline: none;  
  margin-bottom: 4px;      
}

.footer-select-from-category span {
  font-weight: 400;
  font-size: 12px;
  line-height: 20px;
  text-align: right;
  color: #979797;    
}

.footer-select-and-continue button{
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  padding: 0px 24px;
  gap: 8px;
  width: 117px;
  height: 40px;
  border-radius: 8px; 
  font-weight: 500;
  font-size: 14px;
  line-height: 24px;
  background: #FF9828;
  color: #FFFFFF;
  border: none;
  outline: none;
}

.disabled {
  background: #C4C4C4 !important;
  color: rgba(255, 255, 255, 0.7) !important;
}

.search-modal-footer.no-footer {
  display: none !important;
}

.search-modal-main-section.no-footer {
  height: calc(100% - 63px) !important;
}

  @media (max-width:767px) {
    .search-category-modal-wrapper{
      background-color: unset;
    }
    .search-category-modal-container{
      height: 100%;
      max-width: unset;
      max-height: unset;
      border-radius: 0;
    }
    .search-category-modal-body{
      padding: 0 8px;
      grid-template-rows: unset;
      height: 100%;
    }
    .category-list-wrapper{
      width: 100%;
      height: 100%;
      overflow: hidden;
    }
    #search-category-modal-mobile{
      background-color: unset;
    }
    #search-category-modal-mobile .search-category-modal-container{
      position: absolute;
      animation: unset;
      right: -500px;
      bottom: 0;
      transition: right 0.4s ease-in;
    }
    #search-category-modal-mobile .search-category-modal-container.show-modal{
      right: 0;
    }
    .searchBox-container input {
      font-size: 14px;
    }
  }
